summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--test/nds-test-progs/Makefile7
1 files changed, 7 insertions, 0 deletions
diff --git a/test/nds-test-progs/Makefile b/test/nds-test-progs/Makefile
new file mode 100644
index 00000000..ab7725a6
--- /dev/null
+++ b/test/nds-test-progs/Makefile
@@ -0,0 +1,7 @@
+SUBDIRS:= $(shell ls | egrep -v '^(CVS)$$')
+
+all:
+ for i in $(SUBDIRS); do if test -e $$i/Makefile ; then $(MAKE) -C $$i || { exit 1;} fi; done;
+
+clean:
+ for i in $(SUBDIRS); do if test -e $$i/Makefile ; then $(MAKE) -C $$i clean || { exit 1;} fi; done;